import { UmbEntityActionBase } from '../../core/entity-action/index.js';
export class UmbLanguageCreateEntityAction extends UmbEntityActionBase {
    constructor(host, args) {
        super(host, args);
    }
    async execute() {
        // TODO: Generate the href or retrieve it from something?
        history.pushState(null, '', `section/settings/workspace/language/create`);
    }
}
export { UmbLanguageCreateEntityAction as api };
